> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Channel Accounts

> List all channel accounts linked to the current user.



## OpenAPI

````yaml /openapi.json get /api/v1/pa/chat/accounts
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/pa/chat/accounts:
    get:
      tags:
        - External Chat
      summary: List Channel Accounts
      description: List all channel accounts linked to the current user.
      operationId: list_channel_accounts_api_v1_pa_chat_accounts_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ChannelAccountResponse'
                type: array
                title: Response List Channel Accounts Api V1 Pa Chat Accounts Get
      security:
        - HTTPBearer: []
components:
  schemas:
    ChannelAccountResponse:
      properties:
        id:
          type: string
          title: Id
        platform:
          type: string
          title: Platform
        platform_user_id:
          type: string
          title: Platform User Id
        platform_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Display Name
        platform_team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Team Id
        verified:
          type: boolean
          title: Verified
        linked_at:
          type: string
          title: Linked At
      type: object
      required:
        - id
        - platform
        - platform_user_id
        - platform_display_name
        - platform_team_id
        - verified
        - linked_at
      title: ChannelAccountResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````